Bug 82259 - patch to rc.d script for mail/milter-greylist - currently ignores rc.conf variables
Summary: patch to rc.d script for mail/milter-greylist - currently ignores rc.conf var...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florent Thoumie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-06-15 07:00 UTC by Andrew McNaughton
Modified: 2005-06-30 13:14 UTC (History)
0 users

See Also:


Attachments
file.diff (797 bytes, patch)
2005-06-15 07:00 UTC, Andrew McNaughton
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew McNaughton 2005-06-15 07:00:30 UTC
variables set in the rc.conf file for milter-greylist don't take effect, as the steps in the rc.d script are performed in the wrong order.

Fix: The following fix appears to work, but I'm copying other rc.d scripts fairly blindly, without much familiarity with what I'm doing.  

Someone should check this patch before applying it.
How-To-Repeat: 
Try setting the location of the socket file, pidfile or some such thing in rc.conf.  Nothing happens
Comment 1 Florent Thoumie freebsd_committer 2005-06-28 09:01:49 UTC
State Changed
From-To: open->feedback

Forward PR to maintainer.
Comment 2 Florent Thoumie freebsd_committer 2005-06-28 09:02:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flz

Grab.
Comment 3 Florent Thoumie freebsd_committer 2005-06-28 09:04:57 UTC
Florent Thoumie wrote:
> Synopsis: patch to rc.d script for mail/milter-greylist - currently ignores rc.conf variables
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: flz
> State-Changed-When: Tue Jun 28 08:01:49 GMT 2005
> State-Changed-Why: 
> Forward PR to maintainer.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=82259

	Dear maintainer, please have a loot at this PR.
Comment 4 Cyril Guibourg 2005-06-29 19:56:44 UTC
Florent Thoumie <flz@FreeBSD.org> writes:

> 	Dear maintainer, please have a loot at this PR.

This is ok. Please commit.
Thanks.
Comment 5 Florent Thoumie freebsd_committer 2005-06-30 13:14:14 UTC
State Changed
From-To: feedback->closed

Committed, thanks!